## ros-rolling-rmw-implementation 2.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmw_implementation)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)
find_package(rmw_implementation_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

get_default_rmw_implementation(RMW_IMPLEMENTATION)

message(STATUS "")
message(STATUS "Default rmw implementation: '${RMW_IMPLEMENTATION}'")
message(STATUS "")

get_available_rmw_implementations(available_rmw_implementations)
list(LENGTH available_rmw_implementations count_available_rmw_implementations)
if(count_available_rmw_implementations EQUAL 1)
  set(rmw_implementation_disable_runtime_selection_default ON)
else()
  set(rmw_implementation_disable_runtime_selection_default OFF)
endif()

option(RMW_IMPLEMENTATION_DISABLE_RUNTIME_SELECTION "\
  Use only the RMW implementation specified at build time via the \
  'RMW_IMPLEMENTATION' environment variable and the 'RMW_IMPLEMENTATION' \
  CMake option, ignoring the runtime value of the 'RMW_IMPLEMENTATION' \
  environment variable"
  ${rmw_implementation_disable_runtime_selection_default})

if(RMW_IMPLEMENTATION_DISABLE_RUNTIME_SELECTION)
  message(STATUS "Runtime selection of RMW disabled; Only using "
    "'${RMW_IMPLEMENTATION}'")
else()
  message(STATUS "Runtime selection of RMW enabled")

  find_package(rcpputils REQUIRED)
  find_package(rcutils REQUIRED)
  find_package(rmw REQUIRED)

  add_library(${PROJECT_NAME} SHARED
    src/functions.cpp)
  target_link_libraries(${PROJECT_NAME} PUBLIC
    rmw::rmw)
  target_link_libraries(${PROJECT_NAME} PRIVATE
    ament_index_cpp::ament_index_cpp
    rcpputils::rcpputils
    rcutils::rcutils)
  target_compile_definitions(${PROJECT_NAME}
    PUBLIC "DEFAULT_RMW_IMPLEMENTATION=${RMW_IMPLEMENTATION}")

  # Causes the visibility macros to use dllexport rather than dllimport,
  # which is appropriate when building the dll but not consuming it.
  target_compile_definitions(${PROJECT_NAME} PRIVATE "RMW_IMPLEMENTATION_BUILDING_DLL")

  if(BUILD_TESTING)
    # Causes symbols to be exposed for tests to use.
    target_compile_definitions(${PROJECT_NAME} PRIVATE
      "RMW_IMPLEMENTATION_DEFAULT_VISIBILITY=RMW_IMPLEMENTATION_PUBLIC")
  endif()

  configure_rmw_library(${PROJECT_NAME})

  ament_export_targets(export_${PROJECT_NAME})
  ament_export_dependencies(ament_index_cpp rcpputils rcutils)

  if(BUILD_TESTING)
    find_package(ament_cmake_gtest REQUIRED)
    ament_add_gtest(test_functions test/test_functions.cpp)
    ament_target_dependencies(test_functions rcutils rmw)
    target_link_libraries(test_functions
      ${PROJECT_NAME}
      ament_index_cpp::ament_index_cpp
      rcpputils::rcpputils
      rcutils::rcutils)

    find_package(performance_test_fixture REQUIRED)
    # Give cppcheck hints about macro definitions coming from outside this package
    get_target_property(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS performance_test_fixture::performance_test_fixture
      INTERFACE_INCLUDE_DIRECTORIES)

    macro(benchmark_rmws)
      find_package(${rmw_implementation} REQUIRED)
      message(STATUS "Creating API tests for '${rmw_implementation}'")
      set(rmw_implementation_env_var RMW_IMPLEMENTATION=${rmw_implementation})

      add_performance_test(benchmark_symbols${target_suffix} test/benchmark/benchmark_symbols.cpp
        ENV ${rmw_implementation_env_var})
      if(TARGET benchmark_symbols${target_suffix})
        target_link_libraries(benchmark_symbols${target_suffix}
          ${PROJECT_NAME}
          ament_index_cpp::ament_index_cpp
          rcpputils::rcpputils
          rcutils::rcutils)
      endif()
    endmacro()
    call_for_each_rmw_implementation(benchmark_rmws)
  endif()

  install(
    TARGETS ${PROJECT_NAME} EXPORT export_${PROJECT_NAME}
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
  )
endif()

register_rmw_implementation(
  "c:rosidl_typesupport_c"
  "cpp:rosidl_typesupport_cpp"
)

ament_package(
  CONFIG_EXTRAS "rmw_implementation-extras.cmake.in"
)

=== debian/changelog ===
ros-rolling-rmw-implementation (2.7.1-1focal) focal; urgency=high

  * Fix relative path include syntax for cpplint (#203 <https://github.com/ros2/rmw_implementation/issues/203>)
  * Support and prefer exported targets from rmw implementations (#201 <https://github.com/ros2/rmw_implementation/issues/201>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rmw-implementation (2.7.0-1focal) focal; urgency=high

  * Add client/service QoS getters. (#196 <https://github.com/ros2/rmw_implementation/issues/196>)
  * Update maintainers to Audrow Nash and Michael Carroll. (#199 <https://github.com/ros2/rmw_implementation/issues/199>)
  * Contributors: Audrow Nash, mauropasse

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 19 Nov 2021 08:00:00 -0000

ros-rolling-rmw-implementation (2.6.1-1focal) focal; urgency=high

  * Fix renamed rcpputils header (#198 <https://github.com/ros2/rmw_implementation/issues/198>)
  * Fix rmw_implementation generated documentation (#197 <https://github.com/ros2/rmw_implementation/issues/197>)
  * Contributors: Abrar Rahman Protyasha, Michel Hidalgo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-rmw-implementation (2.6.0-1focal) focal; urgency=high

  * Add rmw_publisher_wait_for_all_acked. (#188 <https://github.com/ros2/rmw_implementation/issues/188>)
  * Contributors: Barry Xu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 09 Aug 2021 07:00:00 -0000

ros-rolling-rmw-implementation (2.5.0-1focal) focal; urgency=high

  * Attempt to load any available RMW implementation. (#189 <https://github.com/ros2/rmw_implementation/issues/189>)
  * Update includes after rcutils/get_env.h deprecation (#190 <https://github.com/ros2/rmw_implementation/issues/190>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 May 2021 07:00:00 -0000

ros-rolling-rmw-implementation (2.4.1-1focal) focal; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 16 Apr 2021 07:00:00 -0000

ros-rolling-rmw-implementation (2.4.0-1focal) focal; urgency=high

  * Unique network flows (#170 <https://github.com/ros2/rmw_implementation/issues/170>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#185 <https://github.com/ros2/rmw_implementation/issues/185>)
  * Contributors: Ananya Muddukrishna, shonigmann

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rmw-implementation (2.3.0-1focal) focal; urgency=high

  * Remove rmw_connext_cpp. (#183 <https://github.com/ros2/rmw_implementation/issues/183>)
  * Add support for rmw_connextdds (#182 <https://github.com/ros2/rmw_implementation/issues/182>)
  * Contributors: Andrea Sorbini, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-rmw-implementation (2.2.0-1focal) focal; urgency=high

  * Add function for checking QoS profile compatibility (#180 <https://github.com/ros2/rmw_implementation/issues/180>)
  * Shorten some excessively long lines of CMake (#179 <https://github.com/ros2/rmw_implementation/issues/179>)
  * Add rmw_fastrtps_dynamic_cpp to the explicit group deps (#177 <https://github.com/ros2/rmw_implementation/issues/177>)
  * Contributors: Jacob Perron, Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 08 Mar 2021 08:00:00 -0000

ros-rolling-rmw-implementation (2.1.2-1focal) focal; urgency=high

  * Accept any RMW implementation, not just the default (#172 <https://github.com/ros2/rmw_implementation/issues/172>)
  * Contributors: Scott K Logan

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 29 Jan 2021 08:00:00 -0000

ros-rolling-rmw-implementation (2.1.1-1focal) focal; urgency=high

  * Defer path resolution of rmw implementation libraries to dynamic linker. (#169 <https://github.com/ros2/rmw_implementation/issues/169>)
  * Contributors: Michel Hidalgo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rmw-implementation (2.1.0-1focal) focal; urgency=high

  * Update QD to QL 1 (#166 <https://github.com/ros2/rmw_implementation/issues/166>)
  * Fix up C functions to never throw. (#149 <https://github.com/ros2/rmw_implementation/issues/149>)
  * Restored Dirk as author (#155 <https://github.com/ros2/rmw_implementation/issues/155>)
  * Update maintainers (#154 <https://github.com/ros2/rmw_implementation/issues/154>)
  * Updated performance QD section (#153 <https://github.com/ros2/rmw_implementation/issues/153>)
  * Update Quality Declaration to QL2. (#151 <https://github.com/ros2/rmw_implementation/issues/151>)
  * Add nominal test for symbol prefetch() and unload. (#145 <https://github.com/ros2/rmw_implementation/issues/145>)
  * Added benchmark test to rmw_implementation (#127 <https://github.com/ros2/rmw_implementation/issues/127>)
  * Test load and lookup functionality. (#135 <https://github.com/ros2/rmw_implementation/issues/135>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo, Stephen Brawner

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-rmw-implementation (2.0.0-1focal) focal; urgency=high

  * Remove domain_id and localhost_only from node API (#114 <https://github.com/ros2/rmw_implementation/issues/114>)
  * Move the quality declaration into the rmw_implementation subdirectory. (#111 <https://github.com/ros2/rmw_implementation/issues/111>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jul 2020 07:00:00 -0000

ros-rolling-rmw-implementation (1.0.0-1focal) focal; urgency=high



=== debian/control ===
Source: ros-rolling-rmw-implementation
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-performance-test-fixture, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-connextdds, ros-rolling-rmw-cyclonedds-cpp, ros-rolling-rmw-fastrtps-cpp, ros-rolling-rmw-fastrtps-dynamic-cpp, ros-rolling-rmw-implementation-cmake, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmw-implementation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-cpp, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw-implementation-cmake, ros-rolling-ros-workspace, ros-rolling-rmw-cyclonedds-cpp | ros-rolling-rmw-connextdds | ros-rolling-rmw-fastrtps-cpp
Description: Proxy implementation of the ROS 2 Middleware Interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmw-implementation//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rmw-implementation 2.13.0

=== debian/changelog ===
ros-rolling-rmw-implementation (2.13.0-1jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-rolling-rmw-implementation (2.12.0-1jammy) jammy; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw_implementation (#219 <https://github.com/ros2/rmw_implementation/issues/219>)
  * Runtime Interface Reflection: rmw_implementation (#215 <https://github.com/ros2/rmw_implementation/issues/215>)
  * Mark the benchmark _ variables as unused. (#218 <https://github.com/ros2/rmw_implementation/issues/218>)
  * Contributors: Chris Lalancette, methylDragon

 -- William Woodall <william@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-rolling-rmw-implementation (2.11.0-1jammy) jammy; urgency=high

  * Update rmw_implementation to C++17. (#214 <https://github.com/ros2/rmw_implementation/issues/214>)
  * [rolling] Update maintainers - 2022-11-07 (#212 <https://github.com/ros2/rmw_implementation/issues/212>)
  * Build-time RMW selection does not need ament_index_cpp (#210 <https://github.com/ros2/rmw_implementation/issues/210>)
  * Contributors: Audrow Nash, Chris Lalancette, G.A. vd. Hoorn

 -- William Woodall <william@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-rolling-rmw-implementation (2.10.0-1jammy) jammy; urgency=high

  * Add rmw_get_gid_for_client & tests (#206 <https://github.com/ros2/rmw_implementation/issues/206>)
  * Contributors: Brian

 -- William Woodall <william@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-rolling-rmw-implementation (2.9.1-1jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-rolling-rmw-implementation (2.9.0-1jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-rolling-rmw-implementation (2.8.1-1jammy) jammy; urgency=high

  * add content-filtered-topic interfaces (#181 <https://github.com/ros2/rmw_implementation/issues/181>)
  * Add rmw_feature_supported() (#204 <https://github.com/ros2/rmw_implementation/issues/204>)
  * Contributors: Chen Lihui, Ivan Santiago Paunovic

 -- William Woodall <william@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-rolling-rmw-implementation (2.8.0-1jammy) jammy; urgency=high

  * Add EventsExecutor (#161 <https://github.com/ros2/rmw_implementation/issues/161>)
  * Contributors: iRobot ROS

 -- William Woodall <william@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-rolling-rmw-implementation (2.7.1-1jammy) jammy; urgency=high

  * Fix relative path include syntax for cpplint (#203 <https://github.com/ros2/rmw_implementation/issues/203>)
  * Support and prefer exported targets from rmw implementations (#201 <https://github.com/ros2/rmw_implementation/issues/201>)
  * Contributors: Jacob Perron, Shane Loretz

 -- William Woodall <william@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-rolling-rmw-implementation (2.7.0-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#196 <https://github.com/ros2/rmw_implementation/issues/196>)
  * Update maintainers to Audrow Nash and Michael Carroll. (#199 <https://github.com/ros2/rmw_implementation/issues/199>)
  * Contributors: Audrow Nash, mauropasse

 -- William Woodall <william@openrobotics.org>  Thu, 18 Nov 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.6.1-1jammy) jammy; urgency=high

  * Fix renamed rcpputils header (#198 <https://github.com/ros2/rmw_implementation/issues/198>)
  * Fix rmw_implementation generated documentation (#197 <https://github.com/ros2/rmw_implementation/issues/197>)
  * Contributors: Abrar Rahman Protyasha, Michel Hidalgo

 -- William Woodall <william@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.6.0-1jammy) jammy; urgency=high

  * Add rmw_publisher_wait_for_all_acked. (#188 <https://github.com/ros2/rmw_implementation/issues/188>)
  * Contributors: Barry Xu

 -- William Woodall <william@openrobotics.org>  Sun, 08 Aug 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.5.0-1jammy) jammy; urgency=high

  * Attempt to load any available RMW implementation. (#189 <https://github.com/ros2/rmw_implementation/issues/189>)
  * Update includes after rcutils/get_env.h deprecation (#190 <https://github.com/ros2/rmw_implementation/issues/190>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- William Woodall <william@openrobotics.org>  Tue, 04 May 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.4.1-1jammy) jammy; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 15 Apr 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.4.0-1jammy) jammy; urgency=high

  * Unique network flows (#170 <https://github.com/ros2/rmw_implementation/issues/170>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#185 <https://github.com/ros2/rmw_implementation/issues/185>)
  * Contributors: Ananya Muddukrishna, shonigmann

 -- William Woodall <william@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.3.0-1jammy) jammy; urgency=high

  * Remove rmw_connext_cpp. (#183 <https://github.com/ros2/rmw_implementation/issues/183>)
  * Add support for rmw_connextdds (#182 <https://github.com/ros2/rmw_implementation/issues/182>)
  * Contributors: Andrea Sorbini, Chris Lalancette

 -- William Woodall <william@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-rolling-rmw-implementation (2.2.0-1jammy) jammy; urgency=high

  * Add function for checking QoS profile compatibility (#180 <https://github.com/ros2/rmw_implementation/issues/180>)
  * Shorten some excessively long lines of CMake (#179 <https://github.com/ros2/rmw_implementation/issues/179>)
  * Add rmw_fastrtps_dynamic_cpp to the explicit group deps (#177 <https://github.com/ros2/rmw_implementation/issues/177>)
  * Contributors: Jacob Perron, Scott K Logan



=== debian/control ===
Source: ros-rolling-rmw-implementation
Section: misc
Priority: optional
Maintainer: William Woodall <william@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-performance-test-fixture <!nocheck>, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-connextdds, ros-rolling-rmw-cyclonedds-cpp, ros-rolling-rmw-fastrtps-cpp, ros-rolling-rmw-fastrtps-dynamic-cpp, ros-rolling-rmw-implementation-cmake, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmw-implementation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-cpp, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw-implementation-cmake, ros-rolling-ros-workspace, ros-rolling-rmw-fastrtps-cpp | ros-rolling-rmw-cyclonedds-cpp | ros-rolling-rmw-connextdds
Description: Proxy implementation of the ROS 2 Middleware Interface.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
